<template>
    <nav class="navbar navbar-inverse navbar-fixed-left">
        <div class="nav-container">
            <div class="navbar-header">
                <div>
                    <router-link to="#">
                        <img
                            src="/images/logo-icon.svg"
                            alt=""
                        >
                    </router-link>
                </div>
                <!-- start mobile menu icons -->
                <div class="mobile-menu-buttons">
                    <a
                        :class="{collapsed: !showMobileMenu[0]}"
                        class="navbar-toggle navbar-dashboard"
                        @click="toggleMobileMenu(0)"
                    >
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 21 21"
                        >
                            <path
                                id="Dashboard"
                                class="cls-1"
                                d="M-.012,4.194v16.8h21V4.194Zm18.9,14.7H2.088V6.293h16.8Zm0-16.8H2.088v-2.1h16.8Zm-14.7,10.5v-4.2h2.1v2.1h8.4v-2.1h2.1v4.2Z"
                                transform="translate(0.012 0.007)"
                            />
                        </svg>
                    </a>

                    <a
                        :class="{collapsed: !showMobileMenu[2]}"
                        class="navbar-toggle navbar-email"
                        @click="toggleMobileMenu(2)"
                    >
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 21 16"
                        >
                            <path
                                id="Email"
                                class="cls-1"
                                d="M0,.007v16h21v-16ZM2.1,13.874V5.281l8.4,7.5,8.4-7.494v8.583ZM18.9,2.451l-8.4,7.495L2.1,2.44v-.3H18.9Z"
                                transform="translate(-0.005 -0.007)"
                            />
                        </svg>
                    </a>

                    <a
                        :class="{collapsed: !showMobileMenu[5]}"
                        class="navbar-toggle navbar-push"
                        @click="toggleMobileMenu(5)"
                    >
                        <svg
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 18 18"
                            class="cls-1"
                        >
                            <path
                                id="message-square"
                                class="sms-icon"
                                d="M19,13.667a1.778,1.778,0,0,1-1.778,1.778H6.556L3,19V4.778A1.778,1.778,0,0,1,4.778,3H17.222A1.778,1.778,0,0,1,19,4.778Z"
                                transform="translate(-2 -2)"
                            />
                        </svg>
                    </a>

                    <a
                        :class="{collapsed: !showMobileMenu[4]}"
                        class="navbar-toggle navbar-settings"
                        @click="toggleMobileMenu(4)"
                    >
                        <svg
                            id="Profile"
                            width="22"
                            xmlns="http://www.w3.org/2000/svg"
                            viewBox="0 0 35 35"
                            style="left: 17px; top: 12px;"
                        >
                            <g
                                id="Icon"
                                class="cls-1"
                                data-v-1528c996=""
                                transform="translate(-15 -727)"
                            >
                                <rect
                                    id="Profile"
                                    data-v-1528c996=""
                                    width="35"
                                    height="35"
                                    rx="17.5"
                                    transform="translate(15 727)"
                                    class="profile-icon-1"
                                />
                                <g
                                    id="user"
                                    stroke="#4786FF"
                                    data-v-1528c996=""
                                    transform="translate(21 734)"
                                >
                                    <path
                                        id="Path_2172"
                                        data-v-1528c996=""
                                        data-name="Path 2172"
                                        d="M19,20.333V18.556A3.657,3.657,0,0,0,15.25,15H7.75A3.657,3.657,0,0,0,4,18.556v1.778"
                                        transform="translate(0 -1.333)"
                                        class="profile-icon-2"
                                    />
                                    <ellipse
                                        id="Ellipse_58"
                                        data-v-1528c996=""
                                        data-name="Ellipse 58"
                                        cx="3.2"
                                        cy="3.2"
                                        rx="3.2"
                                        ry="3.2"
                                        transform="translate(8.286 3)"
                                        class="profile-icon-2"
                                    />
                                </g>
                            </g>
                        </svg>
                    </a>
                </div>
                <!-- end mobile menu icons -->
            </div>

            <!-- start mobile menus -->
            <b-collapse
                id="navbar-dashboard"
                v-model="showMobileMenu[0]"
                class="navbar-collapse"
            >
                <h2 class="mobile-menu-header">
                    Home
                </h2>
                <ul class="main-menu mobile-menu">
                    <li :class="{active: $route.name === 'dashboard'}">
                        <router-link
                            to="/dashboard"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Dashboard
                        </router-link>
                    </li>
                    <li :class="{active: $route.name.includes('subscribers')}">
                        <router-link
                            to="/subscribers"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Subscribers
                        </router-link>
                    </li>
                </ul>
            </b-collapse>

            <b-collapse
                id="navbar-email"
                v-model="showMobileMenu[2]"
                class="navbar-collapse navbar-email"
            >
                <h2 class="mobile-menu-header">
                    Email
                </h2>
                <ul class="main-menu mobile-menu">
                    <li :class="{active: $route.name.includes('email-abandoned-carts')}">
                        <router-link
                            to="/email/abandoned-carts"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Abandoned Carts
                        </router-link>
                    </li>
                    <li :class="{active: $route.name.includes('email-campaigns')}">
                        <router-link
                            to="/email/campaigns"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Campaigns
                        </router-link>
                    </li>
                    <li :class="{active: $route.name.includes('email-browse-abandonment')}">
                        <router-link
                            to="/email/browse-abandonment"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Browse Abandonment
                        </router-link>
                    </li>
                </ul>
            </b-collapse>

            <b-collapse
                id="navbar-push"
                v-model="showMobileMenu[5]"
                class="navbar-collapse navbar-push"
            >
                <h2 class="mobile-menu-header">
                    SMS
                </h2>
                <ul class="main-menu mobile-menu">
                    <li :class="{active: $route.name.includes('sms-abandoned-carts')}">
                        <router-link
                            to="/sms/abandoned-carts"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Abandoned Carts
                        </router-link>
                    </li>
                    <li :class="{active: $route.name.includes('sms-campaigns')}">
                        <router-link
                            to="/sms/campaigns"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Campaigns
                        </router-link>
                    </li>
<!--                    <li :class="{active: $route.name.includes('sms-countries')}">
                        <router-link
                            to="/sms/countries"
                            href="#"
                            @click.prevent="[closeAccordions()]"
                        >
                            Countries
                        </router-link>
                    </li>-->
                </ul>
            </b-collapse>

            <b-collapse
                id="navbar-settings"
                v-model="showMobileMenu[4]"
                class="navbar-collapse navbar-settings"
            >
                <ul class="main-menu mobile-menu">
                    <li>
                        <a href="/logout">
                            Log out
                        </a>
                    </li>
                </ul>
            </b-collapse>
        </div>
    </nav>
</template>

<script>
export default {
    name: "MobileHeader",
    data() {
        return {
            showMobileMenu: [false, false, false, false, false, false]
        }
    },
    methods: {
        toggleMobileMenu(index, route = '') {
            if (this.showMobileMenu[index]) {
                this.$set(this.showMobileMenu, index, false)
            } else {
                this.showMobileMenu = this.showMobileMenu.map((v, i) => i === index)
            }

            if (route) {
                this.redirect(route);
            }
        },
        closeAccordions() {
            this.showDesktopMenu = this.showDesktopMenu.map((v, i) => i === false);
            this.showMobileMenu = this.showMobileMenu.map((v, i) => i === false)
        },
    }
}
</script>

<style scoped lang="scss">
@media (min-width: 770px) {
    body {
        padding-top: 0;
    }
}

.nav-container {
    padding-left: 15px;
    padding-right: 15px;
}

.navbar-fixed-right,
.navbar-fixed-left {
    padding: 0;
    position: fixed;
    top: 0;
    width: 100%;
    z-index: 1030;
}

@media (min-width: 771px) {
    .navbar-fixed-right,
    .navbar-fixed-left {
        width: 249px;
        height: 100vh;
        border-radius: 0;
    }
    .navbar-fixed-right .container,
    .navbar-fixed-left .container,
    .navbar-fixed-right .container-fluid,
    .navbar-fixed-left .container-fluid {
        padding-right: 0;
        padding-left: 0;
        width: auto;
    }
    .navbar-fixed-right .navbar-header,
    .navbar-fixed-left .navbar-header {
        float: none;
        padding-left: 15px;
        padding-right: 15px;
    }
    .navbar-fixed-right .navbar-collapse,
    .navbar-fixed-left .navbar-collapse {
        padding-right: 0;
        padding-left: 0;
        max-height: none;
    }
    .navbar-fixed-right .navbar-collapse .navbar-nav,
    .navbar-fixed-left .navbar-collapse .navbar-nav {
        float: none !important;
    }
    .navbar-fixed-right .navbar-collapse .navbar-nav > li,
    .navbar-fixed-left .navbar-collapse .navbar-nav > li {
        width: 100%;
    }
    .navbar-fixed-right .navbar-collapse .navbar-nav > li.dropdown .dropdown-menu,
    .navbar-fixed-left .navbar-collapse .navbar-nav > li.dropdown .dropdown-menu {
        top: 0;
    }
    .navbar-fixed-right .navbar-collapse .navbar-nav.navbar-right,
    .navbar-fixed-left .navbar-collapse .navbar-nav.navbar-right {
        margin-right: 0;
    }
}

@media (min-width: 770px) {
    body {
        margin-left: 250px;
    }
}

@media (min-width: 770px) {
    .navbar-fixed-left {
        right: auto !important;
        left: 0 !important;
        border-width: 0 1px 0 0 !important;
    }
    .navbar-fixed-left .dropdown .dropdown-menu {
        left: 100%;
        right: auto;
        border-radius: 0 3px 3px 0;
    }
    .navbar-fixed-left .dropdown .dropdown-toggle .caret {
        border-top: 4px solid transparent;
        border-left: 4px solid;
        border-bottom: 4px solid transparent;
        border-right: none;
    }
}

.navbar {
    background: linear-gradient(to bottom, #4786FF 0%, #6ba2ff 100%);
}

@media (max-width: 770px) {
    .header {
        position: relative;
        padding-top: 0;
        padding-bottom: 20px;

        .container {
            padding-left: 15px;
        }
    }
}

.navbar-header {
    width: 100%;
    min-height: 62px;

    .navbar-brand {
        display: block;
        padding: 0;
        margin-top: 10px;
        margin-left: 0 !important;
        margin-bottom: 10px;
        height: auto;

        img {
            display: table;
            margin: 0 auto;
        }

        .beta {
            position: absolute;
            right: 62px;
            top: 26px;
            color: #ffffff;
            font-size: 12px;
            opacity: 0.6;
        }
    }
}

.main-menu {
    margin: 0;
    padding: 0;

    &:before {
        display: table;
        content: '';
        clear: both;
    }

    li {
        position: relative;
        list-style: none;

        &.panel {
            border-top: 0;
            border-right: 0;
            border-bottom: 0;
            background: none;
            margin-bottom: 0;
            border-radius: 0;
            box-shadow: none;
        }

        a {
            display: block;
            padding: 13px 20px 13px 50px;
            color: #ffffff;
            text-decoration: none;
            transition: all 0.2s ease;

            &:hover {
                color: #9BC0FF;
            }

            svg {
                position: absolute;
                left: 20px;
                top: 16px;
            }
        }

        ul {
            margin: 0 0 0 0;
            padding: 0;

            li {
                &.active {
                    &:after {
                        position: absolute;
                        right: 0;
                        top: 9px;
                        content: '';
                        border: 8px solid transparent;
                        border-right-color: #F5F6FA;
                        width: 1px;
                    }
                }

                a {
                    padding: 7px 20px 7px 50px;
                }
            }
        }
    }

    & > li {
        border-left: 2px solid transparent;

        &.active {
            background: linear-gradient(rgba(3, 24, 59, 0.1), rgba(3, 24, 59, 0.04));
            border-color: #ffffff;

            a {
                &:after {
                    opacity: 1 !important;
                    stroke: #ffffff;
                    transform: rotate(-180deg);
                }
            }
        }

        &.has-children > a {
            &:after {
                position: absolute;
                right: 20px;
                top: 22px;
                content: '';
                width: 12px;
                height: 7px;
                opacity: 0.5;
                transition: all 0.2s linear;
            }
        }

        a[aria-expanded=true] {
            &:after {
                opacity: 1;
                stroke: #ffffff;
                transform: rotate(-180deg);
            }
        }
    }

    .dashboard-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
    }

    .messenger-icon {
        fill: #ffffff;
        fill-rule: evenodd;
    }

    .email-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .push-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .chat-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .growth-icon-1 {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .growth-icon-2 {
        fill: #fff;
    }

    .billing-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .help-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .contact-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .profile-icon-1 {
        fill: #9bc0ff;
    }

    .profile-icon-2 {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .sms-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .training-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .integration-icon {
        fill: none;
        stroke: #fff;
        stroke-linecap: round;
        stroke-linejoin: round;
        stroke-width: 2px;
    }

    .integration-icon-2 {
        fill: #fff;
    }
}

.mobile-menu {
    li {
        a {
            padding-left: 20px !important;
            padding-right: 20px !important;
        }
    }
}

.mobile-menu-header {
    font-size: 18px;
    color: #ffffff;
    padding: 0 20px;
    margin-top: 20px;
    margin-bottom: 10px;
}

@media (max-width: 770px) {
    .navbar-header {
        display: flex;
        justify-content: space-between;
        align-items: center;

        .navbar-brand {
            position: absolute;
            left: 15px;
            top: 15px;
            display: block;
            width: 33px;
            height: 33px;
            background-size: 33px 33px;
            margin-top: 0;
            margin-bottom: 0;
        }
    }
}

@media (max-width: 770px) {
    .navbar-header {
        height: auto;
        width: 100%;
        margin: 0 !important;

        .navbar-messenger,
        .navbar-dashboard,
        .navbar-email,
        .navbar-push,
        .navbar-chat {
            width: 21px;
            margin-left: 25px;
            height: 100%;
        }

        .navbar-settings {
            width: 35px;
            margin-left: 15px;
            height: 100%;
        }
    }
    .mobile-menu-buttons {
        display: flex;
        align-items: center;
    }
    .navbar-toggle {
        padding: 0;
        border: 0;
        margin-right: 0;
        background: none;

        &:hover,
        &:focus {
            background: none !important;
        }
        .icon-bar {
            width: 26px;
            height: 4px;
        }

        .cls-1 {
            fill: #ffffff;
            position: relative;
        }

        &.collapsed {
            .cls-1 {
                fill: #accdf8;
            }
        }

        &.navbar-settings::after {
            left: -7px;
        }
    }
    .navbar-collapse {
        margin-left: -15px;
        margin-right: -15px;
        border-top: 1px solid #67a7f8;
    }
}

</style>
